Subject: Ticket Assigned - Late delivery at the same time missing - order no. 9592292166
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 08 Nov 2022 09:50:02 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late delivery at the same time missing - order no. 9592292166 I would like to bring your attention that the order placed last 28 October
and there is a instruction to message me thru WhatsApp. However no one
contacted me last past 3 days even though im chatting with customers
service during the days and they promised me that they will contact me thru
WhatsApp and email. Having said that, the delivery guy didn’t message me
and even didn’t try to come on the address that i mentioned. I was
surprised that was marked as delivered, but I didn’t receive it. I didn't
receive an email or message also.

Whatsapp is very common in UAE.

Very inconvenient service ever!!!!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5085182